1.3

1.3

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get record list in a hosted zone

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}